------------------------------------------------------------------------------------
--Name:  	Thanksgiving6
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-10-24
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(28, 28)
local npc_0 = CppScriptMgr:AddSimplePlayer(1062480, 34, 34, "Big Turkey Brother", 0, 0)
npc_0:AddEffect("3189690", 33)
npc_0:SetDir(3)
local monster_0 = CppScriptMgr:AddPlayer(377, 30, 30, "", 0, 0)
monster_0:SetDir(7)
local monster_1 = CppScriptMgr:AddPlayer(377, 28, 32, "", 0, 0)
monster_1:SetDir(7)
local monster_2 = CppScriptMgr:AddPlayer(377, 26, 34, "", 0, 0)
monster_2:SetDir(7)
local monster_3 = CppScriptMgr:AddPlayer(377, 32, 28, "", 0, 0)
monster_3:SetDir(7)
local monster_4 = CppScriptMgr:AddPlayer(377, 34, 26, "", 0, 0)
monster_4:SetDir(7)
local monster_5 = CppScriptMgr:AddPlayer(377, 26, 26, "", 0, 0)
monster_5:SetDir(7)
local monster_6 = CppScriptMgr:AddPlayer(377, 24, 28, "", 0, 0)
monster_6:SetDir(7)
local monster_7 = CppScriptMgr:AddPlayer(377, 22, 30, "", 0, 0)
monster_7:SetDir(7)
local monster_8 = CppScriptMgr:AddPlayer(377, 28, 24, "", 0, 0)
monster_8:SetDir(7)
local monster_9 = CppScriptMgr:AddPlayer(377, 30, 22, "", 0, 0)
monster_9:SetDir(7)
CppScriptMgr:WaitMilSec(140)
CppScriptMgr:NpcCallOut("I`ve set up many arrays, and as long as they`re there, I will have infinite power!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJDG", 150, 430, "Big Turkey Brother", 250, 655)
npc_0:Say("I`ve set up many arrays, and as long as they`re there, I will have infinite power!", 1500)
CppScriptMgr:WaitMilSec(1830)
monster_0:Say("Long live big brother!", 1000)
monster_0:SetAction(101)
monster_1:SetAction(101)
monster_2:Say("Long live big brother!", 1000)
monster_2:SetAction(101)
monster_3:SetAction(101)
monster_4:SetAction(101)
monster_5:Say("Long live big brother!", 1000)
monster_5:SetAction(101)
monster_6:SetAction(101)
monster_7:Say("Long live big brother!", 1000)
monster_7:SetAction(101)
monster_8:SetAction(101)
monster_9:Say("Long live big brother!", 1000)
monster_9:SetAction(101)
CppScriptMgr:WaitMilSec(1480)
CppScriptMgr:NpcCallOut("I`m unbeatable! Those tiny human beings, they won`t be able to leave alive!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJDG", 150, 430, "Big Turkey Brother", 250, 655)
npc_0:Say("I`m unbeatable! Those tiny human beings, they won`t be able to leave alive!", 1500)
CppScriptMgr:WaitMilSec(1920)
monster_0:SetAction(101)
monster_1:Say("Unbeatable! Unbeatable!", 1000)
monster_1:SetAction(101)
monster_2:SetAction(101)
monster_3:Say("Unbeatable! Unbeatable!", 1000)
monster_3:SetAction(101)
monster_4:Say("Unbeatable! Unbeatable!", 1000)
monster_4:SetAction(101)
monster_5:SetAction(101)
monster_7:SetAction(101)
monster_9:SetAction(101)
monster_6:Say("Unbeatable! Unbeatable!", 1000)
monster_6:SetAction(101)
monster_8:Say("Unbeatable! Unbeatable!", 1000)
monster_8:SetAction(101)
CppScriptMgr:WaitMilSec(1600)
CppScriptMgr:SetDarkScreen(1000)
npc_0:SetHide(1)
monster_0:SetHide(1)
monster_1:SetHide(1)
monster_2:SetHide(1)
monster_3:SetHide(1)
monster_4:SetHide(1)
monster_5:SetHide(1)
monster_6:SetHide(1)
monster_7:SetHide(1)
monster_8:SetHide(1)
monster_9:SetHide(1)
CppScriptMgr:WaitMilSec(650)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 27, 31, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("zf2-e233", 30, 28, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(430)
local npc_2 = CppScriptMgr:AddSimplePlayer(17590, 30, 31, "Magic Array", 0, 0)
npc_2:AddEffect("monster309", 33)
local npc_1 = CppScriptMgr:AddSimplePlayer(1062530, 27, 31, "6th Turkey Brother", 0, 0)
npc_1:SetDir(7)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetDir(7)
player_0:SetPos(30, 28)
local actor_name_0 = player_0:GetName()
CppScriptMgr:WaitMilSec(630)
CppScriptMgr:NpcCallOut("Our big brother is the strongest among us all!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
npc_1:Say("Our big brother is the strongest among us all!", 1500)
CppScriptMgr:WaitMilSec(1750)
npc_1:Say("You can try destroying the array to weaken his power.", 1500)
CppScriptMgr:NpcCallOut("You can try destroying the array to weaken his power.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
CppScriptMgr:WaitMilSec(1690)
player_0:SetAction(101)
player_0:Say("Nice suggestion.", 1000)
CppScriptMgr:NpcCallOut("Nice suggestion.", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc30789", 150, 430, actor_name_0, 250, 655)
CppScriptMgr:WaitMilSec(1350)